| iTool User's Guide: Operations Properties |

## Filter Properties

The following properties control the iTool filters.

### Convolution Properties

Convolution smooths data by using a weighted moving average. Convolution filter properties appear on the Operations Browser for all iTools. See Convolution Filter for details on applying convolution.

For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to.

Table C-17: Convolution Filter Properties

Table C-17: Convolution Filter Properties
Property | Control Type: Options
--- | ---
Show dialog | Boolean: Display the Convolution Kernel Editor dialog when the Convolution filter is selected from the Operations Filter menu. Choose True to display the dialog, or False to apply the Convolution filter without displaying the dialog. Default = True
Filter | String List: The default filter. Select from the following list: User defined Tent Boxcar Gaussian Edge Horizontal Edge Vertical Edge Diagonal Right Edge Diagonal Left Line Horizontal Line Vertical Line Diagonal Right Line Diagonal Left Laplacian Emboss Default = Tent
Number of columns | Number: Width of the filter (applies only to Tent, Boxcar, and Gaussian). Default = 3
Number of rows | Number: Height of the filter (applies only to Tent, Boxcar, and Gaussian). Default = 1 for 1D data, 3 for 2D data
Kernel | User Defined: Display the Convolution Kernel Editor dialog. Click Edit to display the dialog.
Center | Boolean: Select True (centered) or False (no centering). Default = True
Auto normalize | Boolean: Select True (for automatic normalizing) or False (no automatic normalizing). Default = True
Scale factor | Number: Value to be divided into each result. Default is calculated from the kernel.
Bias offset | Number: Value to be added to each result, after scale factor. Default is calculated from the kernel.
Edge values | Boolean: Select for edge value type: Zero result Wrap around Repeat last value Zero pad Default = Wrap around
Use invalid value | Boolean: Select True to use the invalid value to filter out missing data, or False (invalid value not used). Default = False
Invalid value | Number: Missing or invalid value that should be ignored. Default = 0
Replacement value | Number: Value used to replace missing results. Default = 0

### Median Properties

Median smoothing replaces each point with the median (a value in an ordered set of values with an equal number of values above and below it) of the one- or two-dimensional neighborhood of a given width. See Median Filter for details on applying the median filter.

For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Table C-18: Median Filter Properties

Table C-18: Median Filter Properties
Property | Control Type: Options
--- | ---
WIDTH | Number: Width of the smooth window. Enter a whole number between `1` (no smoothing) and the width of the data. Default = `3`
Even Average | Boolean: If set to true and the Width property is set to an even number, the operation will return the average of the two middle numbers.

### Smooth Properties

The Smooth filter reduces noise within an image by applying low pass filters. Smooth filter properties appear on the Operations Browser for all iTools. See Smooth Filter for details on applying the smooth filter.

For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Table C-19: Smooth Filter Properties

Table C-19: Smooth Filter Properties
Property | Control Type: Options
--- | ---
WIDTH | Number: Width of the smooth window. Enter a whole number between `1` (no smoothing) and the width of the data. Default = `3`

### Roberts Filter Properties

Roberts filter appears on the Operations Browser for the iImage tool only. Roberts filter has no configurable properties other than Name and Description. For more information on the Roberts filter, see ROBERTS.

### Sobel Filter Properties

Sobel filter appears on the Operations Browser for the iImage tool only. Sobel filter has no configurable properties other than Name and Description. For more information on the Sobel filter, see SOBEL.

### Unsharp Mask Properties

An unsharp-mask filter can be applied to any two-dimensional array or a TrueColor image. The unsharp mask enhances the contrast between neighboring pixels in an image, and is widely used for astronomical images and for digital photographs. For more information on unsharp masking a plot, see Unsharp Mask Filter.

Table C-20: Unsharp Mask Filter Properties

Table C-20: Unsharp Mask Filter Properties
Property | Control Type: Options
--- | ---
Show dialog | Boolean: Display the Unsharp Mask Editor dialog when the Unsharp Mask filter is selected from the Operations Filter menu. Choose True to display the dialog, or False to apply the Unsharp Mask filter without displaying the dialog. Default = True
Amount of filter (%) | Number: Click and slide to select percentage amount of filter to be applied. Default = 100%
Radius in pixels | Number: Click and slide to select filter radius in pixels. Default = `3`
Clipping threshold | Number: Click and slide to select clipping threshold. Default =`0`

### Curve Fitting Properties

Curve fitting properties appear on the Operations Browser for the iPlot tool only. See Curve Fitting for details on applying curve fitting to a plot.

For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Table C-21: Curve Fitting Properties

Table C-21: Curve Fitting Properties
Property | Control Type: Options
--- | ---
Show dialog | Boolean: Display the Curve Fitting Editor dialog when the Curve Fitting filter is selected from the Operations Filter menu. Choose True to display the dialog, or False to apply the Curve Fitting filter (the default curve fitting model - linear - will be used) without displaying the dialog. Default = True
Model name | String List: Model to use in curve fitting. Select a model from the list. Choose from these values: Linear Qaudratic Cubic Quartic Quintic Exponential Gompertz Logsquare Hyperbolic Hyperbolic trigonometric Logistic Geometric Trigonometric summation Trigonometric product Variable sinc Gaussian Gaussian + constant Gaussian + linear Gaussian + quadratic Default = Linear
Parameter(s) | Number: Initial parameter(s) and result(s). Values may be edited here. Default = Varies

IDL Online Help (March 01, 2006)